| aiengine Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_1stIrqCntr Struct Reference

This typedef contains the attributes for 1st level interrupt controller set irq event register. More...

## Data Fields
u32 | SwitchOff
| Switch offset. More...
u32 | MaskOff
| Mask register offset. More...
u32 | EnableOff
| Enable register offset. More...
u32 | DisableOff
| Disable register offset. More...
u32 | StatusOff
| Status register offset. More...
u32 | IrqNoOff
| Irq number register offset. More...
u32 | IrqEventOff
| Irq event register offset. More...
u32 | BlockNorthSetOff
| Block north set register offset. More...
u32 | BlockNorthClearOff
| Block north clear register offset. More...
u32 | BlockNorthValueOff
| Block north value register offset. More...
XAieGbl_RegFldAttr | IrqsMask
| Irqs mask enable/disable/mask register field. More...
XAieGbl_RegFldAttr | IrqNoFld
| Irq No. More...
XAieGbl_RegFldAttr | BcEvents
| Broadcast events field. More...
XAieGbl_RegFldAttr | IrqEventRegFld [4U]
| Irq event register field. More...

## Detailed Description

This typedef contains the attributes for 1st level interrupt controller set irq event register.

## Field Documentation

XAieGbl_RegFldAttr XAieGbl_1stIrqCntr::BcEvents

Broadcast events field.

Referenced by XAieTile_PlIntcL1BlockNorthClr(), XAieTile_PlIntcL1BlockNorthSet(), and XAieTile_PlIntcL1BlockNorthVal().

u32 XAieGbl_1stIrqCntr::BlockNorthClearOff

Block north clear register offset.

Referenced by XAieTile_PlIntcL1BlockNorthClr().

u32 XAieGbl_1stIrqCntr::BlockNorthSetOff

Block north set register offset.

Referenced by XAieTile_PlIntcL1BlockNorthSet().

u32 XAieGbl_1stIrqCntr::BlockNorthValueOff

Block north value register offset.

Referenced by XAieTile_PlIntcL1BlockNorthVal().

u32 XAieGbl_1stIrqCntr::DisableOff

Disable register offset.

Referenced by XAieTile_PlIntcL1Disable().

u32 XAieGbl_1stIrqCntr::EnableOff

Enable register offset.

Referenced by XAieTile_PlIntcL1Enable().

u32 XAieGbl_1stIrqCntr::IrqEventOff

Irq event register offset.

Referenced by XAieTile_PlIntcL1IrqEventGet(), and XAieTile_PlIntcL1IrqEventSet().

XAieGbl_RegFldAttr XAieGbl_1stIrqCntr::IrqEventRegFld[4U]

Irq event register field.

Referenced by XAieTile_PlIntcL1IrqEventGet(), and XAieTile_PlIntcL1IrqEventSet().

XAieGbl_RegFldAttr XAieGbl_1stIrqCntr::IrqNoFld

Irq No.

register field

Referenced by XAieTile_PlIntcL1IrqNoGet(), and XAieTile_PlIntcL1IrqNoSet().

u32 XAieGbl_1stIrqCntr::IrqNoOff

Irq number register offset.

Referenced by XAieTile_PlIntcL1IrqNoGet(), and XAieTile_PlIntcL1IrqNoSet().

XAieGbl_RegFldAttr XAieGbl_1stIrqCntr::IrqsMask

Irqs mask enable/disable/mask register field.

Referenced by XAieTile_PlIntcL1Disable(), XAieTile_PlIntcL1Enable(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusClr(), and XAieTile_PlIntcL1StatusGet().

u32 XAieGbl_1stIrqCntr::MaskOff

Mask register offset.

Referenced by XAieTile_PlIntcL1Mask().

u32 XAieGbl_1stIrqCntr::StatusOff

Status register offset.

Referenced by XAieTile_PlIntcL1StatusClr(), and XAieTile_PlIntcL1StatusGet().

u32 XAieGbl_1stIrqCntr::SwitchOff

Switch offset.

Referenced by XAieTile_PlIntcL1BlockNorthClr(), XAieTile_PlIntcL1BlockNorthSet(), XAieTile_PlIntcL1BlockNorthVal(), XAieTile_PlIntcL1Disable(), XAieTile_PlIntcL1Enable(), XAieTile_PlIntcL1IrqEventGet(), XAieTile_PlIntcL1IrqEventSet(), XAieTile_PlIntcL1IrqNoGet(), XAieTile_PlIntcL1IrqNoSet(), XAieTile_PlIntcL1Mask(), XAieTile_PlIntcL1StatusClr(), and XAieTile_PlIntcL1StatusGet().